<nav data-cy="navbar" class="navbar navbar-dark navbar-expand-md bg-dark">
  <div class="container-fluid">
    <a class="navbar-brand logo" routerLink="/" (click)="collapseNavbar()">
      <span class="logo-img"></span>
      <span jhiTranslate="global.title" class="navbar-title">Matrix</span>
      <span class="navbar-version">{{ version }}</span>
    </a>
    <a
      class="navbar-toggler d-lg-none"
      href="javascript:void(0);"
      data-toggle="collapse"
      data-target="#navbarResponsive"
      aria-controls="navbarResponsive"
      aria-expanded="false"
      aria-label="Toggle navigation"
      (click)="toggleNavbar()"
    >
      <fa-icon icon="bars"></fa-icon>
    </a>
    <div class="navbar-collapse collapse" id="navbarResponsive" [ngbCollapse]="isNavbarCollapsed" [ngSwitch]="account !== null">
      <ul class="navbar-nav ms-auto">
        <li class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">
          <a class="nav-link" routerLink="/" (click)="collapseNavbar()">
            <span>
              <fa-icon icon="home"></fa-icon>
              <span jhiTranslate="global.menu.home">Início</span>
            </span>
          </a>
        </li>
        <!-- jhipster-needle-add-element-to-menu - JHipster will add new menu items here -->
        <li
          *ngSwitchCase="true"
          ngbDropdown
          class="nav-item dropdown pointer"
          display="dynamic"
          routerLinkActive="active"
          [routerLinkActiveOptions]="{ exact: true }"
        >
          <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="entity-menu" data-cy="entity">
            <span>
              <fa-icon icon="th-list"></fa-icon>
              <span jhiTranslate="global.menu.entities.main">Entidades</span>
            </span>
          </a>
          <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="entity-menu">
            <li>
              <a
                class="dropdown-item"
                routerLink="/atividade"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.entities.atividade">Atividade</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="/bloom"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.entities.bloom">Bloom</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="/curso"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.entities.curso">Curso</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="/escola"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.entities.escola">Escola</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="/matriz"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.entities.matriz">Matriz</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="/modalidade"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.entities.modalidade">Modalidade</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="/tipo-de-curso"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.entities.tipoDeCurso">Tipo De Curso</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="/unidade"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.entities.unidade">Unidade</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="/atitude"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.entities.atitude">Atitude</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="/conhecimento"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.entities.conhecimento">Conhecimento</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="/competencia"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.entities.competencia">Competencia</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="/conteudo"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.entities.conteudo">Conteudo</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="/disciplina"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.entities.disciplina">Disciplina</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="/dcn"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.entities.dcn">DCN</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="/diretriz"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.entities.diretriz">Diretriz</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="/habilidade"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.entities.habilidade">Habilidade</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="/papel"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.entities.papel">Papel</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="/perfil"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.entities.perfil">Perfil</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="/periodo"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.entities.periodo">Periodo</span>
              </a>
            </li>
            <li>
              <a
                class="dropdown-item"
                routerLink="/trilha"
                routerLinkActive="active"
                [routerLinkActiveOptions]="{ exact: true }"
                (click)="collapseNavbar()"
              >
                <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.entities.trilha">Trilha</span>
              </a>
            </li>
            <!-- jhipster-needle-add-entity-to-menu - JHipster will add entities to the menu here -->
          </ul>
        </li>
        <li
          *jhiHasAnyAuthority="'ROLE_ADMIN'"
          ngbDropdown
          class="nav-item dropdown pointer"
          display="dynamic"
          routerLinkActive="active"
          [routerLinkActiveOptions]="{ exact: true }"
        >
          <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="admin-menu" data-cy="adminMenu">
            <span>
              <fa-icon icon="users-cog"></fa-icon>
              <span jhiTranslate="global.menu.admin.main">Administração</span>
            </span>
          </a>
          <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="admin-menu">
            <li>
              <a class="dropdown-item" routerLink="/admin/user-management" routerLinkActive="active" (click)="collapseNavbar()">
                <fa-icon icon="users" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.admin.userManagement">Gerenciamento de usuário</span>
              </a>
            </li>
            <li>
              <a class="dropdown-item" routerLink="/admin/metrics" routerLinkActive="active" (click)="collapseNavbar()">
                <fa-icon icon="tachometer-alt" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.admin.metrics">Métricas</span>
              </a>
            </li>
            <li>
              <a class="dropdown-item" routerLink="/admin/health" routerLinkActive="active" (click)="collapseNavbar()">
                <fa-icon icon="heart" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.admin.health">Estado do Sistema</span>
              </a>
            </li>
            <li>
              <a class="dropdown-item" routerLink="/admin/configuration" routerLinkActive="active" (click)="collapseNavbar()">
                <fa-icon icon="cogs" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.admin.configuration">Configuração</span>
              </a>
            </li>
            <li>
              <a class="dropdown-item" routerLink="/admin/logs" routerLinkActive="active" (click)="collapseNavbar()">
                <fa-icon icon="tasks" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.admin.logs">Logs</span>
              </a>
            </li>
            <li *ngIf="openAPIEnabled">
              <a class="dropdown-item" routerLink="/admin/docs" routerLinkActive="active" (click)="collapseNavbar()">
                <fa-icon icon="book" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.admin.apidocs">API</span>
              </a>
            </li>
            <!-- jhipster-needle-add-element-to-admin-menu - JHipster will add entities to the admin menu here -->
          </ul>
        </li>
        <li ngbDropdown class="nav-item dropdown pointer" display="dynamic" *ngIf="languages && languages.length > 1">
          <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="languagesnavBarDropdown">
            <span>
              <fa-icon icon="flag"></fa-icon>
              <span jhiTranslate="global.menu.language">Idioma</span>
            </span>
          </a>
          <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="languagesnavBarDropdown">
            <li *ngFor="let language of languages">
              <a
                class="dropdown-item"
                [jhiActiveMenu]="language"
                href="javascript:void(0);"
                (click)="changeLanguage(language); collapseNavbar()"
                >{{ language | findLanguageFromKey }}</a
              >
            </li>
          </ul>
        </li>
        <li
          ngbDropdown
          class="nav-item dropdown pointer"
          display="dynamic"
          routerLinkActive="active"
          [routerLinkActiveOptions]="{ exact: true }"
        >
          <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="account-menu" data-cy="accountMenu">
            <span *ngIf="!account?.imageUrl">
              <fa-icon icon="user"></fa-icon>
              <span jhiTranslate="global.menu.account.main">Conta</span>
            </span>
            <span *ngIf="account?.imageUrl">
              <img [src]="account!.imageUrl" class="profile-image rounded-circle" alt="Avatar" />
            </span>
          </a>
          <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="account-menu">
            <li *ngSwitchCase="true">
              <a
                class="dropdown-item"
                routerLink="/account/settings"
                routerLinkActive="active"
                (click)="collapseNavbar()"
                data-cy="settings"
              >
                <fa-icon icon="wrench" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.account.settings">Configuração</span>
              </a>
            </li>
            <li *ngSwitchCase="true">
              <a
                class="dropdown-item"
                routerLink="/account/password"
                routerLinkActive="active"
                (click)="collapseNavbar()"
                data-cy="passwordItem"
              >
                <fa-icon icon="lock" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.account.password">Senha</span>
              </a>
            </li>
            <li *ngSwitchCase="true">
              <a class="dropdown-item" (click)="logout()" id="logout" data-cy="logout">
                <fa-icon icon="sign-out-alt" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.account.logout">Sair</span>
              </a>
            </li>
            <li *ngSwitchCase="false">
              <a class="dropdown-item" (click)="login()" id="login" data-cy="login">
                <fa-icon icon="sign-in-alt" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.account.login">Entrar</span>
              </a>
            </li>
            <li *ngSwitchCase="false">
              <a
                class="dropdown-item"
                routerLink="/account/register"
                routerLinkActive="active"
                (click)="collapseNavbar()"
                data-cy="register"
              >
                <fa-icon icon="user-plus" [fixedWidth]="true"></fa-icon>
                <span jhiTranslate="global.menu.account.register">Criar uma conta</span>
              </a>
            </li>
          </ul>
        </li>
      </ul>
    </div>
  </div>
</nav>
